{************************************************************************}
{                                                                        }
{   "gb_DataSets Components" - set of  additional components for IBX and }
{                             FIBPLUS libraries.                         }
{                                                                        }
{     These components are written to make possible a normal             }
{     navigation on potentially big tables or queries returning          }
{     a potentially high count of records                                }
{                                                                        }
{    ATTENTION: Don't forget about the rule of DOUBLE INDEXES for normal }
{               perfomance (see readme.txt for more information )!!!     }
{                                                                        }
{   Copyright (c) 2001 Spirin Sergey                                     }
{                                                                        }
{   Company        : Paritet Soft LTD, Moscow                            }
{   Support e-mail : paritet@ipa-ss.msu.ru                               }
{                                                                        }
{   Please see the file license.txt for full license information         }
{                                                                        }
{************************************************************************}

unit gb_dataConsts;

interface

const
  CyrCollate = 'COLLATE PXW_CYRL';

resourcestring
 {for developers}
  gb_SNoFullName = 'Field defined as KeyFieldsForBookmark is not present in Select statement ' + #13#10 +
                   'or no full TableName in Order by statement';
  gb_SDescNotSupported = 'Sorry, Order by with DESC is not supported now';
  gb_SNoOrderBy = 'Can not find ORDER BY statement';
  gb_SNoDatabase = 'Database is not assigned';
  gb_SNoTransaction ='Transaction is not assigned';
  gb_SNotCorrectOption = 'Transaction has no "read_committed" attribute, but opCommitOnPost in UpdateOptions';
  gb_SNoTableName = 'TableName property is not assigned';
  gb_SCircularDataLink = 'Circular datalinks are not allowed';
  gb_NotCorrectTableName = 'Not Correct TableName or Table has no primary key';
  gb_SNotInEditMode = 'DataSet is not in Edit or Insert state';

 {for users}
  gb_SRecWasModified = 'The record was deleted or changed by another user!' + #13#10 +
                       'After refreshing you can try again';
  gb_SRecordIsLocked = 'The record is locked by another user. Try again later';

implementation

end.
